Bug 169644 - ftp/proftpd: unmark as broken on sparcv9
Summary: ftp/proftpd: unmark as broken on sparcv9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Matuska
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-04 14:50 UTC by Dmitry Afanasiev
Modified: 2012-08-04 07:51 UTC (History)
0 users

See Also:


Attachments
file.diff (1.23 KB, patch)
2012-07-04 14:50 UTC, Dmitry Afanasiev
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Afanasiev 2012-07-04 14:50:08 UTC
ftp/proftpd currently marked as broken on sparc64 platform.

Attached patch solves a problem with 'utx'.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2012-07-04 14:50:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mm

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2012-07-17 15:38:41 UTC
Author: mm
Date: Tue Jul 17 14:38:28 2012
New Revision: 301006
URL: http://svn.freebsd.org/changeset/ports/301006

Log:
  Unbreak ProFTPD on sparc [1].
  Significantly simplify proftpd port options.
  Slave ports will follow in separate commits.
  
  PR:		169644 [1]
  Submitted by:	Dmitry Afanasiev [1]

Modified:
  head/UPDATING
  head/databases/proftpd-mod_sql_mysql/Makefile
  head/databases/proftpd-mod_sql_mysql/pkg-descr
  head/databases/proftpd-mod_sql_postgres/Makefile
  head/databases/proftpd-mod_sql_postgres/pkg-descr
  head/ftp/proftpd/Makefile
  head/ftp/proftpd/files/patch-src-wtmp.c
  head/ftp/proftpd/pkg-plist

Modified: head/UPDATING
==============================================================================
--- head/UPDATING	Tue Jul 17 14:35:46 2012	(r301005)
+++ head/UPDATING	Tue Jul 17 14:38:28 2012	(r301006)
@@ -5,6 +5,19 @@ they are unavoidable.
 You should get into the habit of checking this file for changes each time
 you update your ports collection, before attempting any port upgrades.
 
+20120717:
+  AFFECTS: users of ftp/proftpd
+  AUTHOR: mm@FreeBSD.org
+
+  The options of ProFTPD have been made much more user-friendly.
+  As the modules are all shared libraries, all possible modules are built
+  and installed. The following modules are now in separate slave ports:
+
+  databases/proftpd-mod_sql_odbc: mod_sql_odbc
+  databases/proftpd-mod_sql_sqlite: mod_sql_sqlite
+  databases/proftpd-mod_sql_tds: mod_sql_tds
+  net/proftpd-mod_ldap: mod_ldap and mod_quotatab_ldap
+
 20120716:
   AFFECTS: users of www/lighttpd
   AUTHOR: mm@FreeBSD.org

Modified: head/databases/proftpd-mod_sql_mysql/Makefile
==============================================================================
--- head/databases/proftpd-mod_sql_mysql/Makefile	Tue Jul 17 14:35:46 2012	(r301005)
+++ head/databases/proftpd-mod_sql_mysql/Makefile	Tue Jul 17 14:38:28 2012	(r301006)
@@ -9,7 +9,7 @@ CATEGORIES=	databases ftp
 PKGNAMEPREFIX=	proftpd-
 
 MAINTAINER=	mm@FreeBSD.org
-COMMENT=	MySQL module for ProFTPD
+COMMENT=	MySQL ProFTPD module
 
 LICENSE=	GPLv2
 
@@ -23,6 +23,6 @@ USE_MYSQL=	yes
 INCLUDEDIRS=	${LOCALBASE}/include:${LOCALBASE}/include/mysql
 LIBDIRS=	${LOCALBASE}/lib
 
-_PROFTPD_MODULE=	${PORTNAME}
+_BUILDING_PROFTPD_MODULE=	${PORTNAME}
 
 .include "${MASTERDIR}/Makefile"

Modified: head/databases/proftpd-mod_sql_mysql/pkg-descr
==============================================================================
--- head/databases/proftpd-mod_sql_mysql/pkg-descr	Tue Jul 17 14:35:46 2012	(r301005)
+++ head/databases/proftpd-mod_sql_mysql/pkg-descr	Tue Jul 17 14:38:28 2012	(r301006)
@@ -1,3 +1,3 @@
-This is the MySQL module for ProFTPD
+MySQL backend module for mod_sql of ProFTPD
 
 WWW: http://www.proftpd.org/docs/contrib/mod_sql.html

Modified: head/databases/proftpd-mod_sql_postgres/Makefile
==============================================================================
--- head/databases/proftpd-mod_sql_postgres/Makefile	Tue Jul 17 14:35:46 2012	(r301005)
+++ head/databases/proftpd-mod_sql_postgres/Makefile	Tue Jul 17 14:38:28 2012	(r301006)
@@ -9,7 +9,7 @@ CATEGORIES=	databases ftp
 PKGNAMEPREFIX=	proftpd-
 
 MAINTAINER=	mm@FreeBSD.org
-COMMENT=	PostgreSQL backend module for ProFTPD
+COMMENT=	PostgreSQL ProFTPD module
 
 LICENSE=	GPLv2
 
@@ -23,6 +23,6 @@ USE_PGSQL=	yes
 INCLUDEDIRS=	${LOCALBASE}/include
 LIBDIRS=	${LOCALBASE}/lib
 
-_PROFTPD_MODULE=	${PORTNAME}
+_BUILDING_PROFTPD_MODULE=	${PORTNAME}
 
 .include "${MASTERDIR}/Makefile"

Modified: head/databases/proftpd-mod_sql_postgres/pkg-descr
==============================================================================
--- head/databases/proftpd-mod_sql_postgres/pkg-descr	Tue Jul 17 14:35:46 2012	(r301005)
+++ head/databases/proftpd-mod_sql_postgres/pkg-descr	Tue Jul 17 14:38:28 2012	(r301006)
@@ -1,3 +1,3 @@
-This is the PostgreSQL backend module for ProFTPD
+PostgreSQL backend module for mod_sql of ProFTPD
 
 WWW: http://www.proftpd.org/docs/contrib/mod_sql.html

Modified: head/ftp/proftpd/Makefile
==============================================================================
--- head/ftp/proftpd/Makefile	Tue Jul 17 14:35:46 2012	(r301005)
+++ head/ftp/proftpd/Makefile	Tue Jul 17 14:38:28 2012	(r301006)
@@ -7,7 +7,7 @@
 
 PORTNAME?=	proftpd
 PORTVERSION?=	1.3.4a
-PORTREVISION?=	2
+PORTREVISION?=	3
 CATEGORIES?=	ftp
 MASTER_SITES=	ftp://ftp.proftpd.org/distrib/source/ \
 		ftp://ftp.fastorama.com/mirrors/ftp.proftpd.org/distrib/source/ \
@@ -17,10 +17,11 @@ MASTER_SITES=	ftp://ftp.proftpd.org/dist
 		http://mirrors.ibiblio.org/pub/mirrors/proftpd/distrib/source/ \
 		http://www.mirrorservice.org/sites/ftp.proftpd.org/distrib/source/ \
 		http://labratsoftware.com/mod_sql_tds/:sql_tds \
-		https://secure.thrallingpenguin.com/redmine/attachments/download/1/:clam \
 		LOCAL/beech:sql_tds
-DISTFILES=	${DISTNAME}${EXTRACT_SUFX}
-EXTRACT_ONLY=	${DISTNAME}${EXTRACT_SUFX}
+#		https://secure.thrallingpenguin.com/redmine/attachments/download/1/:clam
+.if defined(_BUILDING_PROFTPD_MODULE)
+DISTNAME=	proftpd-${PORTVERSION}
+.endif
 
 MAINTAINER?=	mm@FreeBSD.org
 COMMENT?=	Highly configurable FTP daemon
@@ -28,9 +29,21 @@ COMMENT?=	Highly configurable FTP daemon
 LICENSE?=	GPLv2
 LICENSE_FILE?=	${WRKSRC}/COPYING
 
-.if defined(_PROFTPD_MODULE)
-_BUILDING_PROFTPD_MODULE=	yes
-DISTNAME=	proftpd-${PORTVERSION}
+.if defined(_BUILDING_PROFTPD_MODULE)
+BUILD_DEPENDS+=	${LOCALBASE}/sbin/proftpd:${PORTSDIR}/ftp/proftpd
+RUN_DEPENDS+=	${LOCALBASE}/sbin/proftpd:${PORTSDIR}/ftp/proftpd
+.endif
+
+.if defined(_BUILDING_PROFTPD_MODULE)
+DISTFILES+=	${DISTNAME}${EXTRACT_SUFX}
+EXTRACT_ONLY+=	${DISTNAME}${EXTRACT_SUFX}
+WRKSRC=		${WRKDIR}/proftpd-${PORTVERSION}
+. if defined(_PROFTPD_MODULE_EXTRACT_ONLY)
+EXTRACT_ONLY+=	${_PROFTPD_MODULE_EXTRACT_ONLY}
+. endif
+. if defined(_PROFTPD_MODULE_DISTFILES)
+DISTFILES+=	${_PROFTPD_MODULE_DISTFILES}
+. endif
 .endif
 
 .if !defined(_BUILDING_PROFTPD_MODULE)
@@ -48,9 +61,8 @@ USE_AUTOTOOLS=	autoconf
 GNU_CONFIGURE=	yes
 
 .if !defined(_BUILDING_PROFTPD_MODULE)
+USE_OPENSSL=	yes
 USE_RC_SUBR=	proftpd
-.else
-RUN_DEPENDS=	${LOCALBASE}/sbin/proftpd:${PORTSDIR}/ftp/proftpd
 .endif
 
 LOCALSTATEDIR?=	/var/run
@@ -59,69 +71,34 @@ CONFIGURE_ARGS=--localstatedir=${LOCALST
 		--libexecdir=${PREFIX}/libexec/proftpd \
 		--with-pkgconfig=libdata/pkgconfig \
 		--sysconfdir=${PREFIX}/etc \
+		--enable-ctrls \
 		--enable-dso \
 		--disable-sendfile
 
 .if defined(_BUILDING_PROFTPD_MODULE)
-CONFIGURE_ARGS+=	--with-shared=${_PROFTPD_MODULE}
-INCLUDEDIRS:=${INCLUDEDIRS}:${WRKSRC}:${WRKSRC}/include
+MODULES=		${_BUILDING_PROFTPD_MODULE}
+.for m in ${MODULES}
+__MODULES:=${__MODULES}:${m}
+.endfor
+CONFIGURE_ARGS+=	--with-shared=${__MODULES:C/^://g}
+INCLUDEDIRS:=${INCLUDEDIRS}:${LOCALBASE}/include/proftpd
 ALL_TARGET=	shared
 BUILD_WRKSRC=	${WRKSRC}/modules
 INSTALL_WRKSRC=	${WRKSRC}/modules
 PLIST=		${WRKDIR}/PLIST
-PLIST_FILES+=	libexec/proftpd/${_PROFTPD_MODULE}.a \
-		libexec/proftpd/${_PROFTPD_MODULE}.la \
-		libexec/proftpd/${_PROFTPD_MODULE}.so
+.for m in ${MODULES}
+PLIST_FILES+=	libexec/proftpd/${m}.a \
+		libexec/proftpd/${m}.la \
+		libexec/proftpd/${m}.so
+.endfor
 PLIST_DIRSTRY+=	libexec/proftpd
 .else
-OPTIONS=	BAN "Include mod_ban (requires CTRLS)" off \
-		COPY "Include mod_copy" on \
-		CLAMAV "Include mod_clamav" off \
-		CTRLS "Enable controls via ftpdctl" on \
-		CTRLS_ADMIN "Include mod_ctrls_admin (requires CTRLS)" off \
-		DEFLATE "Include mod_deflate" on \
-		DYNMASQ "Include mod_dynmasq" off \
-		EXEC "Include mod_exec" off \
-		HTMLDOCS "Include HTML documentation" off \
-		IFSESSION "Include mod_ifsession" on \
-		IFVERSION "Include mod_ifversion" on \
-		IPV6 "Support IPv6" on \
-		LDAP "Include mod_ldap" off \
-		LDAP_TLS "TLS for mod_ldap (requires LDAP, TLS)" off \
-		MEMCACHE "Include mod_memcache" off \
-		NLS "Use nls (builds mod_lang)" on \
-		ODBC "Include mod_sql_odbc (requires SQL)" off \
-		PCRE "Use pcre for regular expressions" on \
-		QOS "Include mod_qos" off \
-		QUOTATAB "Include mod_quotatab" on \
-		QUOTATAB_FILE "Include mod_quotatab_file" on \
-		QUOTATAB_LDAP "Include mod_quotatab_ldap (requires LDAP)" off \
-		QUOTATAB_SQL "Include mod_quotatab_sql (requires SQL)" on \
-		QUOTATAB_RADIUS "Include mod_quotatab_radius" off \
-		SFTP "Include mod_sftp" on \
-		SFTP_SQL "Include mod_sftp_sql (requires SFTP, SQL)" off \
-		SFTP_PAM "Include mod_sftp_pam (requires SFTP)" off \
-		SITE_MISC "Include mod_site_misc" off \
-		SHAPER "Include mod_shaper (requires CTRLS)" off \
-		SQL "Include mod_sql" on \
-		SQL_PASSWD "Include mod_sql_passwd (requires SQL)" off \
-		SQLITE "Include mod_sql_sqlite (requires SQL)" off \
-		RADIUS "Include mod_radius" on \
-		RATIO "Include mod_ratio" on \
-		README "Include mod_readme" on \
-		REWRITE "Include mod_rewrite" on \
-		TLS "Include mod_tls" on \
-		TLS_MEMCACHE "mod_tls_memcache (requires MEMCACHE)" off \
-		TLS_SHMCACHE "TLS SHM session cache (requires TLS)" off \
-		TDS "Include mod_sql_tds (requires SQL)" off \
-		UNIQUE "Include mod_unique_id" off \
-		WRAP "Include mod_wrap2" on \
-		WRAP_FILE "Include mod_wrap2_file (requires WRAP)" off \
-		WRAP_SQL "Include mod_wrap2_sql (requires SQL, WRAP)" off
-
-MODULES?=
-LIBDIRS?=
-INCLUDEDIRS?=
+OPTIONS_DEFINE=	HTMLDOCS IPV6 NLS MEMCACHE PCRE
+OPTIONS_DEFAULT=	IPV6 NLS PCRE
+
+#CLAMAV_DESC=		Include mod_clamav
+HTMLDOCS_DESC=		Include HTML documentation
+MEMCACHE_DESC=		Memcache support using libmemcached
 
 PLIST_SUB+=	LOCALSTATEDIR="${LOCALSTATEDIR}"
 
@@ -129,7 +106,46 @@ PLIST_SUB+=	LOCALSTATEDIR="${LOCALSTATED
 
 .include <bsd.port.pre.mk>
 
+.if defined(USE_OPENSSL)
+CFLAGS+=	-DHAVE_OPENSSL -I${OPENSSLINC}
+PROFTPD_LIBS+=	-lssl -lcrypto -L${OPENSSLLIB}
+.endif
+
 .if !defined(_BUILDING_PROFTPD_MODULE)
+LIBDIRS?=	${LOCALBASE}/lib
+INCLUDEDIRS?=	${LOCALBASE}/include
+
+# Always built modules
+MODULES+=	mod_ban \
+		mod_copy \
+		mod_ctrls_admin \
+		mod_deflate \
+		mod_dynmasq \
+		mod_exec \
+		mod_ifsession \
+		mod_ifversion \
+		mod_qos \
+		mod_quotatab \
+		mod_quotatab_file \
+		mod_quotatab_radius \
+		mod_quotatab_sql \
+		mod_radius \
+		mod_ratio \
+		mod_readme \
+		mod_rewrite \
+		mod_sftp \
+		mod_sftp_pam \
+		mod_sftp_sql \
+		mod_shaper \
+		mod_site_misc \
+		mod_sql \
+		mod_sql_passwd \
+		mod_tls \
+		mod_tls_shmcache \
+		mod_unique_id \
+		mod_wrap2 \
+		mod_wrap2_file \
+		mod_wrap2_sql
 
 # FreeBSD-SA-11:07.chroot
 .if ${OSVERSION} < 800000
@@ -143,206 +159,13 @@ EXTRA_PATCHES+=	${FILESDIR}/extra-patch-
 EXTRA_PATCHES+=	${FILESDIR}/extra-patch-8-src-fsio.c
 .endif
 
-.if ${ARCH} == "sparc64" && ${OSVERSION} > 900000
-BROKEN=	Does not compile on sparc64-9: storage size of 'utx' isn't known
-.endif
-
-.if !defined(WITHOUT_RATIO)
-MODULES:=${MODULES}:mod_ratio
-PLIST_SUB+=	MOD_RATIO=""
-.else
-PLIST_SUB+=	MOD_RATIO="@comment "
-.endif
-
-.if !defined(WITHOUT_README)
-MODULES:=${MODULES}:mod_readme
-PLIST_SUB+=	MOD_README=""
-.else
-PLIST_SUB+=	MOD_README="@comment "
-.endif
-
-.if !defined(WITHOUT_REWRITE)
-MODULES:=${MODULES}:mod_rewrite
-PLIST_SUB+=	MOD_REWRITE=""
-.else
-PLIST_SUB+=	MOD_REWRITE="@comment "
-.endif
-
-.if defined(WITH_WRAP_FILE)
-AUTOSELECT_WRAP=	yes
-INCLUDEDIRS:=${INCLUDEDIRS}:${LOCALBASE}/include
-LIBDIRS:=${LIBDIRS}:${LOCALBASE}/lib
-MODULES:=${MODULES}:mod_wrap2_file
-PLIST_SUB+=	MOD_WRAP_FILE=""
-.else
-PLIST_SUB+=	MOD_WRAP_FILE="@comment "
-.endif
-
-.if defined(WITH_WRAP_SQL)
-AUTOSELECT_SQL=	yes
-AUTOSELECT_WRAP=	yes
-INCLUDEDIRS:=${INCLUDEDIRS}:${LOCALBASE}/include
-LIBDIRS:=${LIBDIRS}:${LOCALBASE}/lib
-MODULES:=${MODULES}:mod_wrap2_sql
-PLIST_SUB+=	MOD_WRAP_SQL=""
-.else
-PLIST_SUB+=	MOD_WRAP_SQL="@comment "
-.endif
-
-.if defined(WITH_BAN)
-AUTOSELECT_CTRLS=	yes
-MODULES:=${MODULES}:mod_ban
-PLIST_SUB+=	MOD_BAN=""
-.else
-PLIST_SUB+=	MOD_BAN="@comment "
-.endif
-
-.if !defined(WITHOUT_COPY)
-MODULES:=${MODULES}:mod_copy
-PLIST_SUB+=	MOD_COPY=""
-.else
-PLIST_SUB+=	MOD_COPY="@comment "
-.endif
-
-.if defined(WITH_CTRLS_ADMIN)
-AUTOSELECT_CTRLS=	yes
-MODULES:=${MODULES}:mod_ctrls_admin
-PLIST_SUB+=	MOD_CTRLS_ADMIN=""
-.else
-PLIST_SUB+=	MOD_CTRLS_ADMIN="@comment "
-.endif
-
-.if !defined(WITHOUT_DEFLATE)
-MODULES:=${MODULES}:mod_deflate
-PLIST_SUB+=	MOD_DEFLATE=""
-.else
-PLIST_SUB+=	MOD_DEFLATE="@comment "
-.endif
-
-.if defined(WITH_DYNMASQ)
-MODULES:=${MODULES}:mod_dynmasq
-PLIST_SUB+=	MOD_DYNMASQ=""
-.else
-PLIST_SUB+=	MOD_DYNMASQ="@comment "
-.endif
-
-.if defined(WITH_EXEC)
-MODULES:=${MODULES}:mod_exec
-PLIST_SUB+=	MOD_EXEC=""
-.else
-PLIST_SUB+=	MOD_EXEC="@comment "
-.endif
-
-.if !defined(WITHOUT_IFSESSION)
-MODULES:=${MODULES}:mod_ifsession
-PLIST_SUB+=     MOD_IFSESSION=""
-.else
-PLIST_SUB+=     MOD_IFSESSION="@comment "
-.endif
-
-.if !defined(WITHOUT_IFVERSION)
-MODULES:=${MODULES}:mod_ifversion
-PLIST_SUB+=	MOD_IFVERSION=""
-.else
-PLIST_SUB+=	MOD_IFVERSION="@comment "
-.endif
-
-.if defined(WITH_TLS_MEMCACHE)
-AUTOSELECT_MEMCACHE=	yes
-AUTOSELECT_TLS=		yes
-MODULES:=${MODULES}:mod_tls_memcache
-PLIST_SUB+=	MOD_TLS_MEMCACHE=""
-.else
-PLIST_SUB+=	MOD_TLS_MEMCACHE="@comment "
-.endif
-
-.if !defined(WITHOUT_RADIUS)
-MODULES:=${MODULES}:mod_radius
-PLIST_SUB+=	MOD_RADIUS=""
-.else
-PLIST_SUB+=	MOD_RADIUS="@comment "
-.endif
-
-.if defined(WITH_QOS)
-MODULES:=${MODULES}:mod_qos
-PLIST_SUB+=	MOD_QOS=""
-.else
-PLIST_SUB+=	MOD_QOS="@comment "
-.endif
-
-.if !defined(WITHOUT_QUOTATAB_FILE)
-AUTOSELECT_QUOTATAB=	yes
-MODULES:=${MODULES}:mod_quotatab_file
-PLIST_SUB+=	MOD_QUOTATAB_FILE=""
-.else
-PLIST_SUB+=	MOD_QUOTATAB_FILE="@comment "
-.endif
-
-.if defined(WITH_QUOTATAB_LDAP)
-AUTOSELECT_QUOTATAB=	yes
-AUTOSELECT_LDAP=	yes
-MODULES:=${MODULES}:mod_quotatab_ldap
-PLIST_SUB+=	MOD_QUOTATAB_LDAP=""
-.else
-PLIST_SUB+=	MOD_QUOTATAB_LDAP="@comment "
-.endif
-
-.if defined(WITH_QUOTATAB_RADIUS)
-AUTOSELECT_QUOTATAB=	yes
-MODULES:=${MODULES}:mod_quotatab_radius
-PLIST_SUB+=	MOD_QUOTATAB_RADIUS=""
-.else
-PLIST_SUB+=	MOD_QUOTATAB_RADIUS="@comment "
-.endif
-
-.if !defined(WITHOUT_QUOTATAB_SQL)
-AUTOSELECT_QUOTATAB=	yes
-AUTOSELECT_SQL=	yes
-MODULES:=${MODULES}:mod_quotatab_sql
-PLIST_SUB+=	MOD_QUOTATAB_SQL=""
-.else
-PLIST_SUB+=	MOD_QUOTATAB_SQL="@comment "
-.endif
-
-.if defined(WITH_SHAPER)
-AUTOSELECT_CTRLS=	yes
-MODULES:=${MODULES}:mod_shaper
-PLIST_SUB+=	MOD_SHAPER=""
-.else
-PLIST_SUB+=	MOD_SHAPER="@comment "
-.endif
-
-.if defined(WITH_SITE_MISC)
-MODULES:=${MODULES}:mod_site_misc
-PLIST_SUB+=	MOD_SITE_MISC=""
-.else
-PLIST_SUB+=	MOD_SITE_MISC="@comment "
-.endif
-
-.if defined(WITH_UNIQUE)
-MODULES:=${MODULES}:mod_unique_id
-PLIST_SUB+=	MOD_UNIQUE=""
-.else
-PLIST_SUB+=	MOD_UNIQUE="@comment "
-.endif
-
-.if defined(WITH_SETPASSENT)
-CONFIGURE_ARGS+=	--enable-force-setpassent
-.endif
-
-.if defined(WITHOUT_PAM)
-CONFIGURE_ARGS+=	--disable-auth-pam
-.endif
-
-.if defined(WITH_IPV6)
+.if ${PORT_OPTIONS:MIPV6}
 CONFIGURE_ARGS+=	--enable-ipv6
 .else
 CONFIGURE_ARGS+=	--disable-ipv6
 .endif
 
-.if !defined(WITHOUT_NLS)
-INCLUDEDIRS:=${INCLUDEDIRS}:${LOCALBASE}/include
-LIBDIRS:=${LIBDIRS}:${LOCALBASE}/lib
+.if ${PORT_OPTIONS:MNLS}
 CONFIGURE_ARGS+=	--enable-nls
 USE_GETTEXT=yes
 PROFTPD_LIBS+=	-lintl -L${LOCALBASE}/lib
@@ -351,245 +174,70 @@ PLIST_SUB+=	NLS=""
 PLIST_SUB+=	NLS="@comment "
 .endif
 
-.if !defined(WITHOUT_PCRE)
-INCLUDEDIRS:=${INCLUDEDIRS}:${LOCALBASE}/include
-LIBDIRS:=${LIBDIRS}:${LOCALBASE}/lib
-LIB_DEPENDS+=		pcre.1:${PORTSDIR}/devel/pcre
+.if ${PORT_OPTIONS:MPCRE}
+LIB_DEPENDS+=		pcre:${PORTSDIR}/devel/pcre
 CONFIGURE_ARGS+=	--enable-pcre
 .else
 CONFIGURE_ARGS+=	--disable-pcre
 .endif
 
-.if defined(WITH_LDAP)
-. if defined(WITH_LDAP_TLS)
-AUTOSELECT_TLS=	yes
-. endif
-USE_OPENLDAP=	yes
-MODULES:=${MODULES}:mod_ldap
-INCLUDEDIRS:=${INCLUDEDIRS}:${LOCALBASE}/include
-LIBDIRS:=${LIBDIRS}:${LOCALBASE}/lib
-PLIST_SUB+=	MOD_LDAP=""
-.else
-PLIST_SUB+=	MOD_LDAP="@comment "
-.endif
-
-.if defined(WITH_SQLITE)
-AUTOSELECT_SQL=	yes
-USE_SQLITE=     yes
-MODULES:=${MODULES}:mod_sql_sqlite
-INCLUDEDIRS:=${INCLUDEDIRS}:${LOCALBASE}/include
-LIBDIRS:=${LIBDIRS}:${LOCALBASE}/lib
-PLIST_SUB+=	MOD_SQL_SQLITE=""
-.else
-PLIST_SUB+=	MOD_SQL_SQLITE="@comment "
-.endif
-
-.if defined(WITH_ODBC)
-AUTOSELECT_SQL=	yes
-LIB_DEPENDS=    iodbc.3:${PORTSDIR}/databases/libiodbc
-MODULES:=${MODULES}:mod_sql_odbc
-INCLUDEDIRS:=${INCLUDEDIRS}:${LOCALBASE}/include
-LIBDIRS:=${LIBDIRS}:${LOCALBASE}/lib
-CONFIGURE_ARGS+=LIBS=-liodbc LD_LIBRARY_PATH=${LOCALBASE}/lib LDFLAGS=-L${LOCALBASE}/lib
-PLIST_SUB+=	MOD_ODBC=""
-.else
-PLIST_SUB+=	MOD_ODBC="@comment "
-.endif
-
-.if defined(WITH_TDS) || make(makesum) || defined(FETCH_ALL)
-AUTOSELECT_SQL=	yes
+.if make(makesum) || defined(FETCH_ALL)
 DISTFILES+=	mod_sql_tds-4.13.tar.bz2:sql_tds
 EXTRACT_ONLY+=	mod_sql_tds-4.13.tar.bz2
-MODULES:=${MODULES}:mod_sql_tds
-INCLUDEDIRS:=${INCLUDEDIRS}:${LOCALBASE}/include
-LIBDIRS:=${LIBDIRS}:${LOCALBASE}/lib
-LIB_DEPENDS+=	sybdb.5:${PORTSDIR}/databases/freetds
-PLIST_SUB+=	MOD_SQL_TDS=""
-.else
-PLIST_SUB+=	MOD_SQL_TDS="@comment "
-.endif
-
-.if defined(WITH_SQL_PASSWD)
-AUTOSELECT_SQL=	yes
-MODULES:=${MODULES}:mod_sql_passwd
-PLIST_SUB+=	MOD_SQL_PASSWD=""
-.else
-PLIST_SUB+=	MOD_SQL_PASSWD="@comment "
-.endif
-
-.if defined(WITH_TLS_SHMCACHE)
-AUTOSELECT_TLS=	yes
-MODULES:=${MODULES}:mod_tls_shmcache
-PLIST_SUB+=	MOD_TLS_SHMCACHE=""
-.else
-PLIST_SUB+=	MOD_TLS_SHMCACHE="@comment "
 .endif
 
-.if defined(WITH_CLAMAV) || make(makesum) || defined(FETCH_ALL)
-DISTFILES+=	mod_clamav-0.11rc.tar.gz:clam
-EXTRA_PATCHES+=	${FILESDIR}/extra-patch-modules_mod_xfer.c
-USE_CLAMAV=	yes
-MODULES:=${MODULES}:mod_clamav
-LIB_DEPENDS+=	clamav.7:${PORTSDIR}/security/clamav
-INCLUDEDIRS:=${INCLUDEDIRS}:${LOCALBASE}/include
-LIBDIRS:=${LIBDIRS}:${LOCALBASE}/lib
-PLIST_SUB+=	MOD_CLAMAV=""
-.else
-PLIST_SUB+=	MOD_CLAMAV="@comment "
-.endif
-
-.if defined(WITH_SFTP_SQL)
-AUTOSELECT_SFTP=	yes
-AUTOSELECT_SQL=		yes
-MODULES:=${MODULES}:mod_sftp_sql
-INCLUDEDIRS:=${INCLUDEDIRS}:${LOCALBASE}/include
-LIBDIRS:=${LIBDIRS}:${LOCALBASE}/lib
-PLIST_SUB+=     MOD_SFTP_SQL=""
-.else
-PLIST_SUB+=     MOD_SFTP_SQL="@comment "
-.endif
-
-.if defined(WITH_SFTP_PAM)
-AUTOSELECT_SFTP=	yes
-MODULES:=${MODULES}:mod_sftp_pam
-INCLUDEDIRS:=${INCLUDEDIRS}:${LOCALBASE}/include
-LIBDIRS:=${LIBDIRS}:${LOCALBASE}/lib
-PLIST_SUB+=     MOD_SFTP_PAM=""
-.else
-PLIST_SUB+=     MOD_SFTP_PAM="@comment "
-.endif
-
-# Handle autoselectable configuration at the end
-.if !defined(WITHOUT_CTRLS) || defined(AUTOSELECT_CTRLS)
-CONFIGURE_ARGS+=	--enable-ctrls
-PLIST_SUB+=	CTRLS=""
-.else
-CONFIGURE_ARGS+=	--disable-ctrls
-PLIST_SUB+=	CTRLS="@comment "
-.endif
-
-.if defined(WITH_MEMCACHE) || defined(AUTOSELECT_MEMCACHE)
-LIB_DEPENDS+=		memcached.10:${PORTSDIR}/databases/libmemcached
+#.if ${PORT_OPTIONS:MCLAMAV} || make(makesum) || defined(FETCH_ALL)
+#DISTFILES+=	mod_clamav-0.11rc.tar.gz:clam
+#EXTRA_PATCHES+=	${FILESDIR}/extra-patch-modules_mod_xfer.c
+#USE_CLAMAV=	yes
+#MODULES+=	mod_clamav
+#LIB_DEPENDS+=	clamav.7:${PORTSDIR}/security/clamav
+#PLIST_SUB+=	CLAMAV=""
+#PROFTPD_LIBS+=	-lclamav
+#.else
+PLIST_SUB+=	CLAMAV="@comment "
+#.endif
+
+.if ${PORT_OPTIONS:MMEMCACHE}
+MODULES+=		mod_memcache \
+			mod_tls_memcache
+LIB_DEPENDS+=		memcached:${PORTSDIR}/databases/libmemcached
 CONFIGURE_ARGS+=	--enable-memcache
-PLIST_SUB+=	MOD_MEMCACHE=""
+PROFTPD_LIBS+=		-lmemcached -lmemcachedutil
+PLIST_SUB+=	MEMCACHE=""
 .else
 CONFIGURE_ARGS+=	--disable-memcache
-PLIST_SUB+=	MOD_MEMCACHE="@comment "
-.endif
-
-.if !defined(WITHOUT_QUOTATAB) || defined(AUTOSELECT_QUOTATAB)
-MODULES:=${MODULES}:mod_quotatab
-PLIST_SUB+=	MOD_QUOTATAB=""
-.else
-PLIST_SUB+=	MOD_QUOTATAB="@comment "
-.endif
-
-.if !defined(WITHOUT_SFTP) || defined(AUTOSELECT_SFTP)
-MODULES:=${MODULES}:mod_sftp
-INCLUDEDIRS:=${INCLUDEDIRS}:${LOCALBASE}/include
-LIBDIRS:=${LIBDIRS}:${LOCALBASE}/lib
-PLIST_SUB+=     MOD_SFTP=""
-.else
-PLIST_SUB+=     MOD_SFTP="@comment "
-.endif
-
-.if !defined(WITHOUT_SQL) || defined(AUTOSELECT_SQL)
-MODULES:=${MODULES}:mod_sql
-PLIST_SUB+=	MOD_SQL=""
-.else
-PLIST_SUB+=	MOD_SQL="@comment "
-.endif
-
-.if defined(WITH_OPENSSL) || !defined(WITHOUT_TLS) || defined(AUTOSELECT_TLS)
-.include "${PORTSDIR}/Mk/bsd.openssl.mk"
-CFLAGS+=	-DHAVE_OPENSSL -I${OPENSSLINC}
-PROFTPD_LIBS+=	-lssl -lcrypto -L${OPENSSLLIB}
-MODULES:=${MODULES}:mod_tls
-PLIST_SUB+=	MOD_TLS=""
-.else
-PLIST_SUB+=	MOD_TLS="@comment "
+PLIST_SUB+=	MEMCACHE="@comment "
 .endif
 
-.if !defined(WITHOUT_WRAP) || defined(AUTOSELECT_WRAP)
-MODULES:=${MODULES}:mod_wrap2
-INCLUDEDIRS:=${INCLUDEDIRS}:${WORKDIR}/include
-LIBDIRS:=${LIBDIRS}:${LOCALBASE}/lib
-PLIST_SUB+=	MOD_WRAP=""
-.else
-PLIST_SUB+=	MOD_WRAP="@comment "
-.endif
+# Generate modules configuration string
+.for m in ${MODULES}
+_MODULES:=${_MODULES}:${m}
+.endfor
 
 # Keep this here below, in case similar constructs need to be made
-CONFIGURE_ENV+=	"LIBS=${PROFTPD_LIBS}"
-
-.if !empty(MODULES)
-CONFIGURE_ARGS+=	--with-shared=${MODULES:C/^://g}
-PLIST_SUB+=	MODULES=""
-.else
-PLIST_SUB+=	MODULES="@comment "
-.endif
-
-# Create list of autoselected modules
-.if defined(WITHOUT_CTRLS) && defined(AUTOSELECT_CTRLS)
-AUTOSELECT_MODULES+=	mod_ctrls
-.endif
-.if !defined(WITH_MEMCACHE) && defined(AUTOSELECT_MEMCACHE)
-AUTOSELECT_MODULES+=	mod_memcache
-.endif
-.if defined(WITHOUT_QUOTATAB) && defined(AUTOSELECT_QUOTATAB)
-AUTOSELECT_MODULES+=	mod_quotatab
-.endif
-.if defined(WITHOUT_SFTP) && defined(AUTOSELECT_SFTP)
-AUTOSELECT_MODULES+=	mod_sftp
-.endif
-.if defined(WITHOUT_SQL) && defined(AUTOSELECT_SQL)
-AUTOSELECT_MODULES+=	mod_sql
-.endif
-.if defined(WITHOUT_TLS) && defined(AUTOSELECT_TLS)
-AUTOSELECT_MODULES+=	mod_tls
-.endif
-.if defined(WITHOUT_WRAP) && defined(AUTOSELECT_WRAP)
-AUTOSELECT_MODULES+=	mod_wrap
-.endif
+CONFIGURE_ENV+=		LIBS="${PROFTPD_LIBS}"
+CONFIGURE_ARGS+=	--with-shared=${_MODULES:C/^://g}
 
 .endif #!defined(_BUILDING_PROFTPD_MODULE)
 
-.if !empty(INCLUDEDIRS)
 CONFIGURE_ARGS+=	--with-includes=${INCLUDEDIRS}
-.endif
-
-.if !empty(LIBDIRS)
 CONFIGURE_ARGS+=	--with-libraries=${LIBDIRS}
-.endif
 
-.if !defined(BUILDING_PROFTPD_MODULE)
-post-extract:
-.if defined(WITH_CLAMAV)
-	(cd ${WRKDIR} && ${GZIP_CMD} ${EXTRACT_BEFORE_ARGS} ${_DISTDIR}/mod_clamav-0.11rc.tar.gz ${EXTRACT_AFTER_ARGS})
-	@${CP} ${WRKDIR}/mod_clamav-0.11rc/mod_clamav.* ${WRKSRC}/contrib
-.endif
-.if defined(WITH_TDS)
-	 @${MV} ${WRKDIR}/mod_sql_tds.c ${WRKSRC}/contrib/
-.endif
+.if !defined(_BUILDING_PROFTPD_MODULE)
+#post-extract:
+#.if ${PORT_OPTIONS:MCLAMAV}
+#	(cd ${WRKDIR} && ${GZIP_CMD} ${EXTRACT_BEFORE_ARGS} ${_DISTDIR}/mod_clamav-0.11rc.tar.gz ${EXTRACT_AFTER_ARGS})
+#	@${CP} ${WRKDIR}/mod_clamav-0.11rc/mod_clamav.* ${WRKSRC}/contrib
+#.endif
 
 post-patch:
-.if defined(WITH_NLS)
+.if ${PORT_OPTIONS:MNLS}
 	@${REINPLACE_CMD} -e 's|-lsupp|-lsupp -lintl|g' ${WRKSRC}/Makefile.in
 .endif
-.if defined(WITH_LDAP_TLS)
-	@${REINPLACE_CMD} -e 's:/\* #define USE_LDAP_TLS \*/:#define USE_LDAP_TLS:' \
-		${WRKSRC}/contrib/mod_ldap.c
-.endif
 	@${REINPLACE_CMD} -e 's|proftpd\.conf|proftpd.conf.sample|g' ${WRKSRC}/Makefile.in
 
 pre-configure:
-.if defined(AUTOSELECT_MODULES)
-	@${ECHO_MSG} "*** NOTICE ***"
-	@${ECHO_MSG} "The following modules are required by the current\
-	configuration and have been automatically added to the build:"
-	@${ECHO_MSG} ${AUTOSELECT_MODULES}
-	@${ECHO_MSG} ""
-.endif
 	@${ECHO_MSG} "==> Configuring with following modules:"
 	@${ECHO_MSG} "${MODULES:C/^://g}"
 
@@ -609,15 +257,13 @@ pre-build:
 post-install:
 	@cd  ${PREFIX}/etc/ && ${CP} -n proftpd.conf.sample proftpd.conf
 	@${MKDIR} ${LOCALSTATEDIR}/proftpd
-.if defined(WITH_SFTP)
 	@cd  ${PREFIX}/etc/proftpd && ${CP} -n dhparams.pem.sample dhparams.pem
 	@cd  ${PREFIX}/etc/proftpd && ${CP} -n blacklist.dat.sample blacklist.dat
-.endif
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	@${INSTALL} -d ${DOCSDIR}
 	@cd ${WRKSRC} && ${CP} README* RELEASE_NOTES ${DOCSDIR}
 	@cd ${WRKSRC}/doc/ && ${INSTALL_DATA} license.txt ${DOCSDIR}
-. if defined(WITH_HTMLDOCS)
+. if ${PORT_OPTIONS:MHTMLDOCS}
 	@${INSTALL} -d ${DOCSDIR}/html
 	@cd ${WRKSRC}/doc/ && ${INSTALL_DATA} Configuration.html faq.html ${DOCSDIR}/html
 	@${CP} -RP ${WRKSRC}/doc/contrib ${DOCSDIR}/html/contrib
@@ -625,10 +271,7 @@ post-install:
 	@${CP} -RP ${WRKSRC}/doc/howto ${DOCSDIR}/html/howto
 . endif
 .endif
-.if defined(WITH_CTRLS)
-	@${INSTALL_PROGRAM} ${WRKSRC}/ftpdctl ${PREFIX}/sbin/
 	@${INSTALL_MAN} ${WRKSRC}/src/ftpdctl.8 ${MAN8PREFIX}/man/man8/
-.endif
 .endif #!defined(_BUILDING_PROFTPD_MODULE)
 
 .include <bsd.port.post.mk>

Modified: head/ftp/proftpd/files/patch-src-wtmp.c
==============================================================================
--- head/ftp/proftpd/files/patch-src-wtmp.c	Tue Jul 17 14:35:46 2012	(r301005)
+++ head/ftp/proftpd/files/patch-src-wtmp.c	Tue Jul 17 14:38:28 2012	(r301006)
@@ -1,5 +1,23 @@
---- src/wtmp.c.orig	2010-07-05 09:52:50.147213835 +0200
-+++ src/wtmp.c	2010-07-05 09:53:25.075513542 +0200
+--- src/wtmp.c.orig	2011-05-23 23:22:24.000000000 +0200
++++ src/wtmp.c	2012-07-17 16:19:34.188505949 +0200
+@@ -42,7 +42,7 @@
+     !(defined(LINUX) || defined(__hpux) || defined (_AIX))
+   /* This "auxilliary" utmp doesn't exist under linux. */
+ 
+-#if defined(__sparcv9) && !defined(__NetBSD__)
++#if defined(__sparcv9) && !defined(__NetBSD__) && !defined(__FreeBSD__)
+   struct futmpx utx;
+   time_t t;
+ 
+@@ -97,7 +97,7 @@
+ #else /* SVR4 */
+     utx.ut_syslen = strlen(utx.ut_host)+1;
+ 
+-#  ifdef __sparcv9
++#  ifdef __sparcv9 && !defined(__FreeBSD__)
+     time(&t);
+     utx.ut_tv.tv_sec = (time32_t)t;
+ #  else
 @@ -126,7 +126,9 @@
    }
  

Modified: head/ftp/proftpd/pkg-plist
==============================================================================
--- head/ftp/proftpd/pkg-plist	Tue Jul 17 14:35:46 2012	(r301005)
+++ head/ftp/proftpd/pkg-plist	Tue Jul 17 14:38:28 2012	(r301006)
@@ -9,12 +9,12 @@ bin/prxs
 @unexec if cmp -s %D/etc/proftpd.conf %D/etc/proftpd.conf.sample; then rm -f %D/etc/proftpd.conf; fi
 etc/proftpd.conf.sample
 @exec cp -n %D/%F %B/proftpd.conf
-%%MOD_SFTP%%@unexec if cmp -s %D/etc/proftpd/dhparams.pem %D/etc/proftpd/dhparams.pem.sample; then rm -f %D/etc/proftpd/dhparams.pem; fi
-%%MOD_SFTP%%etc/proftpd/dhparams.pem.sample
-%%MOD_SFTP%%@exec cp -n %D/%F %B/dhparams.pem
-%%MOD_SFTP%%@unexec if cmp -s %D/etc/proftpd/blacklist.dat %D/etc/proftpd/blacklist.dat.sample; then rm -f %D/etc/proftpd/blacklist.dat; fi
-%%MOD_SFTP%%etc/proftpd/blacklist.dat.sample
-%%MOD_SFTP%%@exec cp -n %D/%F %B/blacklist.dat
+@unexec if cmp -s %D/etc/proftpd/dhparams.pem %D/etc/proftpd/dhparams.pem.sample; then rm -f %D/etc/proftpd/dhparams.pem; fi
+etc/proftpd/dhparams.pem.sample
+@exec cp -n %D/%F %B/dhparams.pem
+@unexec if cmp -s %D/etc/proftpd/blacklist.dat %D/etc/proftpd/blacklist.dat.sample; then rm -f %D/etc/proftpd/blacklist.dat; fi
+etc/proftpd/blacklist.dat.sample
+@exec cp -n %D/%F %B/blacklist.dat
 @exec mkdir -p %%LOCALSTATEDIR%%/proftpd
 include/proftpd/auth.h
 include/proftpd/bindings.h
@@ -45,12 +45,12 @@ include/proftpd/libsupp.h
 include/proftpd/log.h
 include/proftpd/memcache.h
 include/proftpd/mkhome.h
-%%MOD_CLAMAV%%include/proftpd/mod_clamav.h
-%%MOD_WRAP%%include/proftpd/mod_wrap2.h
-%%MOD_SFTP%%include/proftpd/mod_sftp.h
-%%MOD_SQL%%include/proftpd/mod_sql.h
-%%MOD_TLS%%include/proftpd/mod_tls.h
-%%MOD_QUOTATAB%%include/proftpd/mod_quotatab.h
+%%CLAMAV%%include/proftpd/mod_clamav.h
+include/proftpd/mod_wrap2.h
+include/proftpd/mod_sftp.h
+include/proftpd/mod_sql.h
+include/proftpd/mod_tls.h
+include/proftpd/mod_quotatab.h
 include/proftpd/mod_ctrls.h
 include/proftpd/modules.h
 include/proftpd/netacl.h
@@ -81,125 +81,109 @@ include/proftpd/var.h
 include/proftpd/version.h
 include/proftpd/xferlog.h
 libdata/pkgconfig/proftpd.pc
-%%MOD_BAN%%libexec/proftpd/mod_ban.a
-%%MOD_BAN%%libexec/proftpd/mod_ban.la
-%%MOD_BAN%%libexec/proftpd/mod_ban.so
-%%MOD_CLAMAV%%libexec/proftpd/mod_clamav.a
-%%MOD_CLAMAV%%libexec/proftpd/mod_clamav.la
-%%MOD_CLAMAV%%libexec/proftpd/mod_clamav.so
-%%MOD_COPY%%libexec/proftpd/mod_copy.a
-%%MOD_COPY%%libexec/proftpd/mod_copy.la
-%%MOD_COPY%%libexec/proftpd/mod_copy.so
-%%MOD_CTRLS_ADMIN%%libexec/proftpd/mod_ctrls_admin.a
-%%MOD_CTRLS_ADMIN%%libexec/proftpd/mod_ctrls_admin.la
-%%MOD_CTRLS_ADMIN%%libexec/proftpd/mod_ctrls_admin.so
-%%MOD_DEFLATE%%libexec/proftpd/mod_deflate.a
-%%MOD_DEFLATE%%libexec/proftpd/mod_deflate.la
-%%MOD_DEFLATE%%libexec/proftpd/mod_deflate.so
-%%MOD_DYNMASQ%%libexec/proftpd/mod_dynmasq.a
-%%MOD_DYNMASQ%%libexec/proftpd/mod_dynmasq.la
-%%MOD_DYNMASQ%%libexec/proftpd/mod_dynmasq.so
-%%MOD_EXEC%%libexec/proftpd/mod_exec.a
-%%MOD_EXEC%%libexec/proftpd/mod_exec.la
-%%MOD_EXEC%%libexec/proftpd/mod_exec.so
-%%MOD_IFVERSION%%libexec/proftpd/mod_ifversion.a
-%%MOD_IFVERSION%%libexec/proftpd/mod_ifversion.la
-%%MOD_IFVERSION%%libexec/proftpd/mod_ifversion.so
-%%MOD_IFSESSION%%libexec/proftpd/mod_ifsession.a
-%%MOD_IFSESSION%%libexec/proftpd/mod_ifsession.la
-%%MOD_IFSESSION%%libexec/proftpd/mod_ifsession.so
-%%MOD_LDAP%%libexec/proftpd/mod_ldap.a
-%%MOD_LDAP%%libexec/proftpd/mod_ldap.la
-%%MOD_LDAP%%libexec/proftpd/mod_ldap.so
-%%MOD_MEMCACHE%%libexec/proftpd/mod_memcache.a
-%%MOD_MEMCACHE%%libexec/proftpd/mod_memcache.la
-%%MOD_MEMCACHE%%libexec/proftpd/mod_memcache.so
-%%MOD_ODBC%%libexec/proftpd/mod_odbc.a
-%%MOD_ODBC%%libexec/proftpd/mod_odbc.la
-%%MOD_ODBC%%libexec/proftpd/mod_odbc.so
-%%MOD_QOS%%libexec/proftpd/mod_qos.a
-%%MOD_QOS%%libexec/proftpd/mod_qos.la
-%%MOD_QOS%%libexec/proftpd/mod_qos.so
-%%MOD_QUOTATAB%%libexec/proftpd/mod_quotatab.a
-%%MOD_QUOTATAB%%libexec/proftpd/mod_quotatab.la
-%%MOD_QUOTATAB%%libexec/proftpd/mod_quotatab.so
-%%MOD_QUOTATAB%%libexec/proftpd/mod_quotatab_file.a
-%%MOD_QUOTATAB%%libexec/proftpd/mod_quotatab_file.la
-%%MOD_QUOTATAB%%libexec/proftpd/mod_quotatab_file.so
-%%MOD_QUOTATAB_LDAP%%libexec/proftpd/mod_quotatab_ldap.a
-%%MOD_QUOTATAB_LDAP%%libexec/proftpd/mod_quotatab_ldap.la
-%%MOD_QUOTATAB_LDAP%%libexec/proftpd/mod_quotatab_ldap.so
-%%MOD_QUOTATAB%%libexec/proftpd/mod_quotatab_sql.a
-%%MOD_QUOTATAB%%libexec/proftpd/mod_quotatab_sql.la
-%%MOD_QUOTATAB%%libexec/proftpd/mod_quotatab_sql.so
-%%MOD_QUOTATAB_RADIUS%%libexec/proftpd/mod_quotatab_radius.a
-%%MOD_QUOTATAB_RADIUS%%libexec/proftpd/mod_quotatab_radius.la
-%%MOD_QUOTATAB_RADIUS%%libexec/proftpd/mod_quotatab_radius.so
-%%MOD_RADIUS%%libexec/proftpd/mod_radius.a
-%%MOD_RADIUS%%libexec/proftpd/mod_radius.la
-%%MOD_RADIUS%%libexec/proftpd/mod_radius.so
-%%MOD_RATIO%%libexec/proftpd/mod_ratio.a
-%%MOD_RATIO%%libexec/proftpd/mod_ratio.la
-%%MOD_RATIO%%libexec/proftpd/mod_ratio.so
-%%MOD_README%%libexec/proftpd/mod_readme.a
-%%MOD_README%%libexec/proftpd/mod_readme.la
-%%MOD_README%%libexec/proftpd/mod_readme.so
-%%MOD_REWRITE%%libexec/proftpd/mod_rewrite.a
-%%MOD_REWRITE%%libexec/proftpd/mod_rewrite.la
-%%MOD_REWRITE%%libexec/proftpd/mod_rewrite.so
-%%MOD_SHAPER%%libexec/proftpd/mod_shaper.a
-%%MOD_SHAPER%%libexec/proftpd/mod_shaper.la
-%%MOD_SHAPER%%libexec/proftpd/mod_shaper.so
-%%MOD_SFTP%%libexec/proftpd/mod_sftp.a
-%%MOD_SFTP%%libexec/proftpd/mod_sftp.la
-%%MOD_SFTP%%libexec/proftpd/mod_sftp.so
-%%MOD_SFTP_PAM%%libexec/proftpd/mod_sftp_pam.a
-%%MOD_SFTP_PAM%%libexec/proftpd/mod_sftp_pam.la
-%%MOD_SFTP_PAM%%libexec/proftpd/mod_sftp_pam.so
-%%MOD_SFTP_SQL%%libexec/proftpd/mod_sftp_sql.a
-%%MOD_SFTP_SQL%%libexec/proftpd/mod_sftp_sql.la
-%%MOD_SFTP_SQL%%libexec/proftpd/mod_sftp_sql.so
-%%MOD_SITE_MISC%%libexec/proftpd/mod_site_misc.a
-%%MOD_SITE_MISC%%libexec/proftpd/mod_site_misc.la
-%%MOD_SITE_MISC%%libexec/proftpd/mod_site_misc.so
-%%MOD_SQL%%libexec/proftpd/mod_sql.a
-%%MOD_SQL%%libexec/proftpd/mod_sql.la
-%%MOD_SQL%%libexec/proftpd/mod_sql.so
-%%MOD_SQL_PASSWD%%libexec/proftpd/mod_sql_passwd.a
-%%MOD_SQL_PASSWD%%libexec/proftpd/mod_sql_passwd.la
-%%MOD_SQL_PASSWD%%libexec/proftpd/mod_sql_passwd.so
-%%MOD_SQL_SQLITE%%libexec/proftpd/mod_sql_sqlite.a
-%%MOD_SQL_SQLITE%%libexec/proftpd/mod_sql_sqlite.la
-%%MOD_SQL_SQLITE%%libexec/proftpd/mod_sql_sqlite.so
-%%MOD_SQL_TDS%%libexec/proftpd/mod_sql_tds.a
-%%MOD_SQL_TDS%%libexec/proftpd/mod_sql_tds.la
-%%MOD_SQL_TDS%%libexec/proftpd/mod_sql_tds.so
-%%MOD_TLS%%libexec/proftpd/mod_tls.a
-%%MOD_TLS%%libexec/proftpd/mod_tls.la
-%%MOD_TLS%%libexec/proftpd/mod_tls.so
-%%MOD_TLS_MEMCACHE%%libexec/proftpd/mod_tls_memcache.a
-%%MOD_TLS_MEMCACHE%%libexec/proftpd/mod_tls_memcache.la
-%%MOD_TLS_MEMCACHE%%libexec/proftpd/mod_tls_memcache.so
-%%MOD_TLS_SHMCACHE%%libexec/proftpd/mod_tls_shmcache.a
-%%MOD_TLS_SHMCACHE%%libexec/proftpd/mod_tls_shmcache.la
-%%MOD_TLS_SHMCACHE%%libexec/proftpd/mod_tls_shmcache.so
-%%MOD_UNIQUE%%libexec/proftpd/mod_unique_id.a
-%%MOD_UNIQUE%%libexec/proftpd/mod_unique_id.la
-%%MOD_UNIQUE%%libexec/proftpd/mod_unique_id.so
-%%MOD_WRAP%%libexec/proftpd/mod_wrap2.a
-%%MOD_WRAP%%libexec/proftpd/mod_wrap2.la
-%%MOD_WRAP%%libexec/proftpd/mod_wrap2.so
-%%MOD_WRAP_FILE%%libexec/proftpd/mod_wrap2_file.a
-%%MOD_WRAP_FILE%%libexec/proftpd/mod_wrap2_file.la
-%%MOD_WRAP_FILE%%libexec/proftpd/mod_wrap2_file.so
-%%MOD_WRAP_SQL%%libexec/proftpd/mod_wrap2_sql.a
-%%MOD_WRAP_SQL%%libexec/proftpd/mod_wrap2_sql.la
-%%MOD_WRAP_SQL%%libexec/proftpd/mod_wrap2_sql.so
+libexec/proftpd/mod_ban.a
+libexec/proftpd/mod_ban.la
+libexec/proftpd/mod_ban.so
+%%CLAMAV%%libexec/proftpd/mod_clamav.a
+%%CLAMAV%%libexec/proftpd/mod_clamav.la
+%%CLAMAV%%libexec/proftpd/mod_clamav.so
+libexec/proftpd/mod_copy.a
+libexec/proftpd/mod_copy.la
+libexec/proftpd/mod_copy.so
+libexec/proftpd/mod_ctrls_admin.a
+libexec/proftpd/mod_ctrls_admin.la
+libexec/proftpd/mod_ctrls_admin.so
+libexec/proftpd/mod_deflate.a
+libexec/proftpd/mod_deflate.la
+libexec/proftpd/mod_deflate.so
+libexec/proftpd/mod_dynmasq.a
+libexec/proftpd/mod_dynmasq.la
+libexec/proftpd/mod_dynmasq.so
+libexec/proftpd/mod_exec.a
+libexec/proftpd/mod_exec.la
+libexec/proftpd/mod_exec.so
+libexec/proftpd/mod_ifversion.a
+libexec/proftpd/mod_ifversion.la
+libexec/proftpd/mod_ifversion.so

*** DIFF OUTPUT TRUNCATED AT 1000 LINES ***
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Martin Matuska freebsd_committer 2012-08-04 07:51:46 UTC
State Changed
From-To: open->closed

Resolved. Thanks!